Subject: bug#34850: ghc compiling error

From: Simon Tournier <[email-masked]>
Date: Fri, 22 Sep 2023 18:09:53 +0200

Hi,

It is about this old bug #34850 [1].

    1: https://issues.guix.gnu.org/issue/34850

On Wed, 13 Mar 2019 at 21:27, mikadoZero <[email-masked]> wrote:

>>> `guix describe`
>>> guix fd4c7a0
>>>     repository URL: https://git.savannah.gnu.org/git/guix.git
>>>     branch: master
>>>     commit: fd4c7a098a508c1de7a8513c0f3d88d5a0df12e7

[...]

>>> ```haskell
>>> main = putStrLn "hello, world"
>>> ```
>>>
>>> Then I tried to compile it with ghc.  I get this error.
>>>
>>> `ghc Main`                      [1 of 1] Compiling Main
>>> ( Main.hs, Main.o )
>>> gcc: error trying to exec 'as': execvp: No such file or directory
>>> `gcc' failed in phase `Assembler'. (Exit code: 1)

Using recent Guix, I get:

--8<---------------cut here---------------start------------->8---
$ guix describe
Generation 28	Sep 06 2023 14:54:50	(current)
  guix 6113e05
    repository URL: https://git.savannah.gnu.org/git/guix.git
    commit: 6113e0529d61df7425f64e30a6bf77f7cfdfe5a5

$ echo 'main = putStrLn "hello, world"' > foo.hs
$ cat foo.hs
main = putStrLn "hello, world"

$ guix shell -C ghc gcc-toolchain -- ghc foo.hs
[1 of 1] Compiling Main             ( foo.hs, foo.o )
Linking foo ...

$ ./foo
hello, world
--8<---------------cut here---------------end--------------->8---

Can we close this bug report?  Do you still have that issue?

Cheers,
simon